> ## Documentation Index
> Fetch the complete documentation index at: https://docs.url2llm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search



## OpenAPI

````yaml /openapi-public.json post /v1/search
openapi: 3.1.0
info:
  title: url2llm
  version: 0.1.0
servers: []
security: []
paths:
  /v1/search:
    post:
      tags:
        - public
        - search
      summary: Search
      operationId: searchWeb
      parameters:
        - in: header
          name: Idempotency-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Idempotency-Key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponse_SearchResponse_'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Payment Required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unprocessable Content
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Service Unavailable
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Gateway Timeout
      security:
        - HTTPBearer: []
components:
  schemas:
    SearchRequest:
      additionalProperties: false
      properties:
        excludeDomains:
          items:
            type: string
          maxItems: 20
          title: Excludedomains
          type: array
        freshness:
          anyOf:
            - enum:
                - last_24_hours
                - last_week
                - last_month
                - last_year
              type: string
            - type: 'null'
          title: Freshness
        includeDomains:
          items:
            type: string
          maxItems: 20
          title: Includedomains
          type: array
        limit:
          default: 10
          maximum: 20
          minimum: 1
          title: Limit
          type: integer
        query:
          maxLength: 500
          minLength: 1
          title: Query
          type: string
      required:
        - query
      title: SearchRequest
      type: object
    APIResponse_SearchResponse_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/SearchResponse'
            - type: 'null'
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: true
          title: Success
          type: boolean
      required:
        - success
        - data
        - meta
        - message
        - request_id
      title: APIResponse[SearchResponse]
      type: object
    ErrorResult:
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: false
          title: Success
          type: boolean
      required:
        - success
        - error
        - request_id
      title: ErrorResult
      type: object
    SearchResponse:
      properties:
        credits_used:
          title: Credits Used
          type: integer
        request_id:
          title: Request Id
          type: integer
        results:
          items:
            $ref: '#/components/schemas/SearchHit'
          title: Results
          type: array
      required:
        - results
        - request_id
        - credits_used
      title: SearchResponse
      type: object
    ApiError:
      properties:
        code:
          title: Code
          type: string
        details:
          anyOf:
            - {}
            - type: 'null'
          title: Details
        message:
          title: Message
          type: string
      required:
        - code
        - message
        - details
      title: ApiError
      type: object
    SearchHit:
      properties:
        description:
          title: Description
          type: string
        title:
          title: Title
          type: string
        url:
          title: Url
          type: string
      required:
        - url
        - title
        - description
      title: SearchHit
      type: object
  securitySchemes:
    HTTPBearer:
      description: 'Send an active organization API key in the Authorization: Bearer header.'
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.